import 'package:freezed_annotation/freezed_annotation.dart';

part 'loading_error.freezed.dart';

@freezed
class LoadingError with _$LoadingError {
  const factory LoadingError({
    required String message,
    @Default(false) bool allowRetry,
  }) = _LoadingError;
}
