import 'package:dio/dio.dart';

import '../../../basis/dataloader/holiday_data_loader.dart';
import '../../../infrastructure/dataLoader/data_loader.dart';
import '../bloc/holidays_state.dart';

class HolidaysGetHolidays extends HolidayDataLoader<List<Holiday>> {
  @override
  List<Holiday> assemble(DataLoaderResult data) => data.asListOfMaps().map(Holiday.fromJson).toList();

  @override
  Future<Response<String>> fetch() => dio.get('/holidays/HE');
}
