import 'dart:convert';
import 'package:http/http.dart' as http;

import 'getHolidaysResponse.dart';

class GetHolidays {
  Future<GetHolidaysResponse> query() async {
    var response = (await http.get(Uri.parse('https://ferien-api.de/api/v1/holidays/HE'))).body;
    var data = jsonDecode(response) as List<dynamic>;
    return GetHolidaysResponse(
        List<GetHolidaysResponseObject>.from(
            data.map<GetHolidaysResponseObject>((e) => GetHolidaysResponseObject.fromJson(e as Map<String, dynamic>))
        )
    );
  }
}
