
import 'dart:convert';
import 'dart:developer';

import 'package:http/http.dart' as http;

import '../../mhslApi.dart';
import 'notifyRegisterParams.dart';

class NotifyRegister extends MhslApi<void> {
  NotifyRegisterParams params;
  NotifyRegister(this.params) : super('notify/register/');


  @override
  void assemble(String raw) {

  }

  @override
  Future<http.Response> request(Uri uri) {
    var requestString = jsonEncode(params.toJson());
    log('register at push proxy with username ${params.username}');
    return http.post(uri, body: requestString);
  }
}
